tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Re: Using ServletContainerInitializer for 2.5 applications
Date Thu, 12 Apr 2012 12:34:10 GMT
2012/4/11 Konstantin Kolinko <knst.kolinko@gmail.com>:
> 2012/4/11 Lazar Kirchev <lazar.kirchev@gmail.com>:
>> I want the ServletContainerInitializer to be called for all applications I
>> deploy, not only with web.xml version 3.0, but also with lower version. Is
>> this possible?
>
> 2. You would even be able to load the class that implements that
> interface. The "ServletContainerInitializer" class is in
> "javax.servlet" package and it will be absent.
>
> The spec forbids you from bundling your own servlet-api.jar.
>

My apologies that I've misread your question.

(I though you were asking about deploying your thing on Tomcat 6.
There was several questions like that recently and I missed the point.

Instead of that you are asking about behaviour of 2.5 webapp on Tomcat 7).

Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message